## org.eclipse.emf.ecore.xmi.impl
Class URIHandlerImpl.PlatformSchemeAware

    java.lang.Object
      org.eclipse.emf.ecore.xmi.impl.URIHandlerImpl
          org.eclipse.emf.ecore.xmi.impl.URIHandlerImpl.PlatformSchemeAware

All Implemented Interfaces:
  XMLResource.URIHandler

Enclosing class:
  URIHandlerImpl

    public static class URIHandlerImpl.PlatformSchemeAware

extends URIHandlerImpl

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.xmi.impl.URIHandlerImpl
`URIHandlerImpl.PlatformSchemeAware`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.xmi.impl.URIHandlerImpl
`baseURI, resolve`

Constructor Summary
`URIHandlerImpl.PlatformSchemeAware()`

Method Summary
`URI` `deresolve(URI uri)` Returns the URI `deresolved` against the base URI.

Methods inherited from class org.eclipse.emf.ecore.xmi.impl.URIHandlerImpl
`resolve, setBaseURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URIHandlerImpl.PlatformSchemeAware

    public URIHandlerImpl.PlatformSchemeAware()

Method Detail

### deresolve

    public URI deresolve(URI uri)

  Description copied from interface: `XMLResource.URIHandler`
  Returns the URI `deresolved` against the base URI.

  Specified by:
    `deresolve` in interface `XMLResource.URIHandler`
  Overrides:
    `deresolve` in class `URIHandlerImpl`
  Parameters:
    `uri` - the URI to resolve.
  Returns:
    the URI resolved against the base URI.
  See Also:
    `URI.deresolve(URI)`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.